From b1141069e5aa85244f3e36929e51db35b09c9833 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 06 2020 04:26:11 +0000
Subject: [PATCH 1305/2232] Quote the unrecognized element in "unused element" errors


---

diff --git a/gen/build/src/error.rs b/gen/build/src/error.rs
index e1cc345..99d7a30 100644
--- a/gen/build/src/error.rs
+++ b/gen/build/src/error.rs
@@ -68,13 +68,13 @@ impl Display for Error {
             ),
             Error::UnusedExportedPrefix(unused) => write!(
                 f,
-                "unused element in {}: {} does not match the include prefix of any direct dependency",
+                "unused element in {}: {:?} does not match the include prefix of any direct dependency",
                 expr!(CFG.exported_header_prefixes),
                 unused,
             ),
             Error::UnusedExportedLinks(unused) => write!(
                 f,
-                "unused element in {}: {} does not match the `links` attribute any direct dependency",
+                "unused element in {}: {:?} does not match the `links` attribute any direct dependency",
                 expr!(CFG.exported_header_links),
                 unused,
             ),

